Articles of pear

instale spypt blowfish no xampp no ​​windows

Eu tenho um módulo para um zencart que requer Blowfish Encryption no meu servidor. No momento, estou apenas testando no meu local, o que é xampp em uma máquina do Windows. Eu girei e olhei no stackoverflow, mas não consigo encontrar instruções (pelo menos que eu entendo) sobre como fazê-lo. É mesmo possível? obrigado 🙂

Erro PHP CRYPT_BLOWFISH?

Estou no Redhat e usando PHP Crypt_Blowfish e tendo o seguinte erro. ERRO: Aviso: Constante CRYPT_BLOWFISH_AUTO já definida em /usr/share/pear/Crypt/Blowfish.php na linha 33 Aviso: Constante CRYPT_BLOWFISH_MCRYPT já definido em /usr/share/pear/Crypt/Blowfish.php na linha 38 Aviso: Constante CRYPT_BLOWFISH_PHP já definida em /usr/share/pear/Crypt/Blowfish.php na linha 43 Erro fatal: Não é possível redecar a class Crypt_Blowfish em /usr/share/pear/Crypt/Blowfish.php na […]

PHP require_once (): Falha na abertura necessária include_path

Estou usando o Php 7.1 no Windows. Erro que eu recebo: PHP Erro fatal: require_once (): A abertura com falha necessária ‘Suite_dev / service / v4_1 / SugarWebServiceImplv4_1.php‘ (include_path = ‘D: /Ampps/php-7.1/pear‘) em D: \ Ampps \ www \ Suite_dev \ custom \ service \ v4_1_custom \ SugarWebServiceImplv4_1_custom.php na linha 4 Solução que fiz no […]

O correio PHP PEAR falha na utilização da conta de correio do Google Apps – Falha na autenticação do erro 535

Eu tenho uma página PHP que usa o PEAR Mail para enviar uma mensagem através de uma conta de e-mail do Google Apps. A página só está ativa no outono e no inverno, e foi ótimo quando foi usado pela última vez em janeiro. Agora, enquanto eu preparo o site para o outono, esta página […]

Atualizando PEAR no Mac OS X / MAMP

Estou instalando o PHPUnit no Mac OS X e estou tendo problemas com a minha versão PEAR atual. As questões SO existentes não resolvem o problema. A versão PEAR atual é listada como 1.9.1. PHPUnit requer 1.9.4. [le programmeur]$which pear /Applications/MAMP/bin/php5.3/bin/pear [le programmeur]$pear -V PEAR Version: 1.9.1 PHP Version: 5.3.5 Zend Engine Version: 2.3.0 [le […]

Problema com atualização de pera

Estou tentando atualizar Pear e eu escrevo no console: pear upgrade pear então recebi erro: Error getting channel info from pear.php.net: Channel pear.php.net does not support xml-rpc method package.listLatestReleases O que devo fazer para melhorar o PEAR?

PHP Bcrypt hash

Eu quero usar o hash Blowfish para a senha hash. crypt() não o suporta em versões PHP anteriores a 5.3 Minha versão do PHP é 5.2.14. Como posso usar o hash Blowfish? Posso usar o Crypt_Blowfish da PEAR?

Pacotes de peras que não funcionam

Estive tentando usar alguns pacotes PEAR por algumas horas agora, sem sucesso. O próprio PEAR está funcionando e acredito que configurei todas as variables ​​de configuração corretamente, mas quando tento executar qualquer um dos meus pacotes a partir da linha de comando, recebo erros de PHP dizendo que o arquivo necessário não foi encontrado. Por […]

PHP: erro de mensagem de correio PEAR

Posso enviar um email pelo código neste (url: http: //stackoverflow.com/questions/712392/send-email-using-gmail-smtp-server-from-php-page) mas os erros são mostrados como seguindo … Normas estritas: método não-estático PEAR :: isError () não deve ser chamado de forma estática, assumindo $ este de contexto incompatível em /Users/abc/pear/share/pear/Mail/smtp.php na linha 365 Normas estritas: método não-estático PEAR :: isError () não deve ser […]

PHPUnit blues de instalação

Eu instalei PHPUnit pelo PHPUnit Manual, Capítulo 3. Instalando o PHPUnit , pear channel-discover pear.phpunit.de pear channel-discover components.ez.no pear channel-discover pear.symfony-project.com pear install phpunit/PHPUnit Agora, minha pasta PHPUnit se parece com: > pwd /usr/share/php/PHPUnit > ll drwxr-xr-x 4 root root 4096 2011-05-19 15:12 ./ drwxr-xr-x 19 root root 4096 2011-05-19 15:13 ../ drwxr-xr-x 5 root […]